import { FG_Plugin } from 'src/plugins';
const mainRoutes: FG_Plugin.PluginRouteConfig[] = [
  {
    title: 'loadFromStore("user/displayName")',
    icon: 'mdi-account',
    path: 'user',
    name: 'user',
    component: () => import('../pages/MainPage.vue'),
    meta: { permission: 'user' },
    children: [
      {
        title: 'Hauptkanal',
        icon: 'mdi-account-hard-hat',
        path: 'user-main',
        name: 'user-main',
        shortcut: false,
        meta: { permission: 'user' },
        component: () => import('../pages/User.vue')
      },
      {
        title: 'Einstellungen',
        icon: 'mdi-cog',
        path: 'settings',
        name: 'user-settings',
        shortcut: true,
        meta: { permission: 'user' },
        component: () => import('../pages/Settings.vue')
      }
    ]
  }
];

export default mainRoutes;
